Package net.rubygrapefruit.platform.internal

# Class LibraryDef

java.lang.Object
net.rubygrapefruit.platform.internal.LibraryDef

public class LibraryDef extends Object

## Constructor Summary

Constructors
Constructor
Description
`LibraryDef(String name, String platform)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibraryDef

public LibraryDef(String name, String platform)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`